Kerbal Space Program - Bug #20385

Plain white fairing appears to have different material properties than all other white parts in the
game.

11/12/2018 10:40 PM - Lupi

Status: Ready to Test Start date: 11/12/2018
Severity: Low % Done: 80%
Assignee:

Category: Parts

Target version: 1.12.0

Version: 1.51 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

It's... shinier? more glossy/less matte than all parts, so when you use it next to other white parts, it clashes.
it's... almost whiter. | would use the "black and white" fairing texture if it didn't have the black bands every few meters, since that has
the correct white.

History

#1 - 11/23/2018 04:20 PM - Yakuzi
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed: inconsistent white textures associated with fairings.

#2 - 12/28/2018 07:08 PM - ancassid
- Platform Linux, OSX added

This is being caused by two things:

1) the texture for the white fairing variant is way too bright compared to the standard white

2) the material for fairings has some weird settings, namely a _Color value of (0.8,0.8,0.8) making textures darker than they should be, and a
shininess value that's lower than the default. lts also using the cutout shader for some reason? yet somehow they're getting normals? The game must
be changing the shader at runtime or something

#3 - 12/28/2018 07:12 PM - ancassid
- File Screen Shot 2018-12-28 at 11.01.44 AM.png added

here's the white fairing texture next to the standard porkjet plane white. The color multiplication helps some but its still too bright.

#5 - 06/24/2021 10:53 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
